OpenJPH Open-source implementation of JPEG2000 Part-15

Loading...
Searching...
No Matches
point_list_interpreter Struct Reference
Inheritance diagram for point_list_interpreter:

## Public Member Functions
| point_list_interpreter (const ojph::ui32 max_num_elements, ojph::ui32 &num_elements, ojph::point *list)
virtual void | operate (const char *str)

## Public Attributes
const ojph::ui32 | max_num_eles
ojph::point * | pointlist
ojph::ui32 & | num_eles

## Detailed Description

Definition at line 108 of file ojph_compress.cpp.

## Constructor & Destructor Documentation

## ◆ point_list_interpreter()

point_list_interpreter::point_list_interpreter | ( | const ojph::ui32 | max_num_elements,
|  | ojph::ui32 & | num_elements,
|  | ojph::point * | list )
| inline

Definition at line 110 of file ojph_compress.cpp.

References max_num_eles, num_eles, and pointlist.

## Member Function Documentation

## ◆ operate()

virtual void point_list_interpreter::operate | ( | const char * | str | ) |
| inline virtual

Implements ojph::cli_interpreter::arg_inter_base.

Definition at line 116 of file ojph_compress.cpp.

References max_num_eles, num_eles, and pointlist.

## Member Data Documentation

## ◆ max_num_eles

const ojph::ui32 point_list_interpreter::max_num_eles

Definition at line 160 of file ojph_compress.cpp.

Referenced by operate(), and point_list_interpreter().

## ◆ num_eles

ojph::ui32& point_list_interpreter::num_eles

Definition at line 162 of file ojph_compress.cpp.

Referenced by operate(), and point_list_interpreter().

## ◆ pointlist

ojph::point* point_list_interpreter::pointlist

Definition at line 161 of file ojph_compress.cpp.

Referenced by operate(), and point_list_interpreter().

The documentation for this struct was generated from the following file:

- /build/openjph/src/OpenJPH/src/apps/ojph_compress/ojph_compress.cpp